# zynamon

## Synopsis

Generalized & powerful time-series class and related functions.

## Contents

This library defines a powerful time-series representation based on the well-known ```pandas``` DataFrames. However, it adds meta-data as well as conveniently built-in filtering & alignment routines for both value and time dimension. Moreover, the central time-series objects can be constructed from *nearly any 1D data* such that handling of various sources in a standardised way is made possible (e.g. regularly-sampled sensor data, event logs as well as audio streams).

As of now, this package is structured into the following modules:

**tscore**: main file, defining classes ```TimeSeries``` and special ```TimeSpec``` as well as some helpers

**tsutils**: routines for the automatic import of time-series data from CSV files and operators on two objects (involving a routine to make the objects "coherent" in time)

**tsvis**: classes related to a well-defined "mass visualisation" of TimeSeries objects in automated scripts

**batchimport**: helpers for the mass import, conversion & aggregation of data from (many!) CSV-files (e.g. proper extraction of all individual time-series hidden in event logs)

**xutils**: special conversion utilities for CSV-files containing DFT spectra as generated by the software "CMS X-Tools" (Siemens AG).

*Note: Structuring & naming above will be s.t. refactoring and thus change in future versions. That is, backward compatibility IS LIKELY to break soon!*

[ Dr. Marcus Zeller | dsp4444@gmail.com | Erlangen, Germany | 2022-2024 ]
